Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network57.136.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
57.136.0.0
Broadcast address
57.143.255.255
First usable
57.136.0.1
Last usable
57.143.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 39880000 · Integer 965214208 to 965738495
Reverse DNS zones
136.57.in-addr.arpa
137.57.in-addr.arpa
138.57.in-addr.arpa
139.57.in-addr.arpa
140.57.in-addr.arpa
141.57.in-addr.arpa
142.57.in-addr.arpa
143.57.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111001.10001000.00000000.0000000057.136.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00111001.10001000.00000000.0000000057.136.0.0
Broadcast00111001.10001111.11111111.1111111157.143.255.255
Split into smaller subnets/21

57.136.0.0/13 makes 256 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
157.136.0.0/2157.136.0.1 to 57.136.7.25457.136.7.2552,046
257.136.8.0/2157.136.8.1 to 57.136.15.25457.136.15.2552,046
357.136.16.0/2157.136.16.1 to 57.136.23.25457.136.23.2552,046
457.136.24.0/2157.136.24.1 to 57.136.31.25457.136.31.2552,046
557.136.32.0/2157.136.32.1 to 57.136.39.25457.136.39.2552,046
657.136.40.0/2157.136.40.1 to 57.136.47.25457.136.47.2552,046
757.136.48.0/2157.136.48.1 to 57.136.55.25457.136.55.2552,046
857.136.56.0/2157.136.56.1 to 57.136.63.25457.136.63.2552,046
957.136.64.0/2157.136.64.1 to 57.136.71.25457.136.71.2552,046
1057.136.72.0/2157.136.72.1 to 57.136.79.25457.136.79.2552,046
1157.136.80.0/2157.136.80.1 to 57.136.87.25457.136.87.2552,046
1257.136.88.0/2157.136.88.1 to 57.136.95.25457.136.95.2552,046
1357.136.96.0/2157.136.96.1 to 57.136.103.25457.136.103.2552,046
1457.136.104.0/2157.136.104.1 to 57.136.111.25457.136.111.2552,046
1557.136.112.0/2157.136.112.1 to 57.136.119.25457.136.119.2552,046
1657.136.120.0/2157.136.120.1 to 57.136.127.25457.136.127.2552,046
1757.136.128.0/2157.136.128.1 to 57.136.135.25457.136.135.2552,046
1857.136.136.0/2157.136.136.1 to 57.136.143.25457.136.143.2552,046
1957.136.144.0/2157.136.144.1 to 57.136.151.25457.136.151.2552,046
2057.136.152.0/2157.136.152.1 to 57.136.159.25457.136.159.2552,046
2157.136.160.0/2157.136.160.1 to 57.136.167.25457.136.167.2552,046
2257.136.168.0/2157.136.168.1 to 57.136.175.25457.136.175.2552,046
2357.136.176.0/2157.136.176.1 to 57.136.183.25457.136.183.2552,046
2457.136.184.0/2157.136.184.1 to 57.136.191.25457.136.191.2552,046
2557.136.192.0/2157.136.192.1 to 57.136.199.25457.136.199.2552,046
2657.136.200.0/2157.136.200.1 to 57.136.207.25457.136.207.2552,046
2757.136.208.0/2157.136.208.1 to 57.136.215.25457.136.215.2552,046
2857.136.216.0/2157.136.216.1 to 57.136.223.25457.136.223.2552,046
2957.136.224.0/2157.136.224.1 to 57.136.231.25457.136.231.2552,046
3057.136.232.0/2157.136.232.1 to 57.136.239.25457.136.239.2552,046
3157.136.240.0/2157.136.240.1 to 57.136.247.25457.136.247.2552,046
3257.136.248.0/2157.136.248.1 to 57.136.255.25457.136.255.2552,046
3357.137.0.0/2157.137.0.1 to 57.137.7.25457.137.7.2552,046
3457.137.8.0/2157.137.8.1 to 57.137.15.25457.137.15.2552,046
3557.137.16.0/2157.137.16.1 to 57.137.23.25457.137.23.2552,046
3657.137.24.0/2157.137.24.1 to 57.137.31.25457.137.31.2552,046
3757.137.32.0/2157.137.32.1 to 57.137.39.25457.137.39.2552,046
3857.137.40.0/2157.137.40.1 to 57.137.47.25457.137.47.2552,046
3957.137.48.0/2157.137.48.1 to 57.137.55.25457.137.55.2552,046
4057.137.56.0/2157.137.56.1 to 57.137.63.25457.137.63.2552,046
4157.137.64.0/2157.137.64.1 to 57.137.71.25457.137.71.2552,046
4257.137.72.0/2157.137.72.1 to 57.137.79.25457.137.79.2552,046
4357.137.80.0/2157.137.80.1 to 57.137.87.25457.137.87.2552,046
4457.137.88.0/2157.137.88.1 to 57.137.95.25457.137.95.2552,046
4557.137.96.0/2157.137.96.1 to 57.137.103.25457.137.103.2552,046
4657.137.104.0/2157.137.104.1 to 57.137.111.25457.137.111.2552,046
4757.137.112.0/2157.137.112.1 to 57.137.119.25457.137.119.2552,046
4857.137.120.0/2157.137.120.1 to 57.137.127.25457.137.127.2552,046
4957.137.128.0/2157.137.128.1 to 57.137.135.25457.137.135.2552,046
5057.137.136.0/2157.137.136.1 to 57.137.143.25457.137.143.2552,046
5157.137.144.0/2157.137.144.1 to 57.137.151.25457.137.151.2552,046
5257.137.152.0/2157.137.152.1 to 57.137.159.25457.137.159.2552,046
5357.137.160.0/2157.137.160.1 to 57.137.167.25457.137.167.2552,046
5457.137.168.0/2157.137.168.1 to 57.137.175.25457.137.175.2552,046
5557.137.176.0/2157.137.176.1 to 57.137.183.25457.137.183.2552,046
5657.137.184.0/2157.137.184.1 to 57.137.191.25457.137.191.2552,046
5757.137.192.0/2157.137.192.1 to 57.137.199.25457.137.199.2552,046
5857.137.200.0/2157.137.200.1 to 57.137.207.25457.137.207.2552,046
5957.137.208.0/2157.137.208.1 to 57.137.215.25457.137.215.2552,046
6057.137.216.0/2157.137.216.1 to 57.137.223.25457.137.223.2552,046
6157.137.224.0/2157.137.224.1 to 57.137.231.25457.137.231.2552,046
6257.137.232.0/2157.137.232.1 to 57.137.239.25457.137.239.2552,046
6357.137.240.0/2157.137.240.1 to 57.137.247.25457.137.247.2552,046
6457.137.248.0/2157.137.248.1 to 57.137.255.25457.137.255.2552,046
6557.138.0.0/2157.138.0.1 to 57.138.7.25457.138.7.2552,046
6657.138.8.0/2157.138.8.1 to 57.138.15.25457.138.15.2552,046
6757.138.16.0/2157.138.16.1 to 57.138.23.25457.138.23.2552,046
6857.138.24.0/2157.138.24.1 to 57.138.31.25457.138.31.2552,046
6957.138.32.0/2157.138.32.1 to 57.138.39.25457.138.39.2552,046
7057.138.40.0/2157.138.40.1 to 57.138.47.25457.138.47.2552,046
7157.138.48.0/2157.138.48.1 to 57.138.55.25457.138.55.2552,046
7257.138.56.0/2157.138.56.1 to 57.138.63.25457.138.63.2552,046
7357.138.64.0/2157.138.64.1 to 57.138.71.25457.138.71.2552,046
7457.138.72.0/2157.138.72.1 to 57.138.79.25457.138.79.2552,046
7557.138.80.0/2157.138.80.1 to 57.138.87.25457.138.87.2552,046
7657.138.88.0/2157.138.88.1 to 57.138.95.25457.138.95.2552,046
7757.138.96.0/2157.138.96.1 to 57.138.103.25457.138.103.2552,046
7857.138.104.0/2157.138.104.1 to 57.138.111.25457.138.111.2552,046
7957.138.112.0/2157.138.112.1 to 57.138.119.25457.138.119.2552,046
8057.138.120.0/2157.138.120.1 to 57.138.127.25457.138.127.2552,046
8157.138.128.0/2157.138.128.1 to 57.138.135.25457.138.135.2552,046
8257.138.136.0/2157.138.136.1 to 57.138.143.25457.138.143.2552,046
8357.138.144.0/2157.138.144.1 to 57.138.151.25457.138.151.2552,046
8457.138.152.0/2157.138.152.1 to 57.138.159.25457.138.159.2552,046
8557.138.160.0/2157.138.160.1 to 57.138.167.25457.138.167.2552,046
8657.138.168.0/2157.138.168.1 to 57.138.175.25457.138.175.2552,046
8757.138.176.0/2157.138.176.1 to 57.138.183.25457.138.183.2552,046
8857.138.184.0/2157.138.184.1 to 57.138.191.25457.138.191.2552,046
8957.138.192.0/2157.138.192.1 to 57.138.199.25457.138.199.2552,046
9057.138.200.0/2157.138.200.1 to 57.138.207.25457.138.207.2552,046
9157.138.208.0/2157.138.208.1 to 57.138.215.25457.138.215.2552,046
9257.138.216.0/2157.138.216.1 to 57.138.223.25457.138.223.2552,046
9357.138.224.0/2157.138.224.1 to 57.138.231.25457.138.231.2552,046
9457.138.232.0/2157.138.232.1 to 57.138.239.25457.138.239.2552,046
9557.138.240.0/2157.138.240.1 to 57.138.247.25457.138.247.2552,046
9657.138.248.0/2157.138.248.1 to 57.138.255.25457.138.255.2552,046
9757.139.0.0/2157.139.0.1 to 57.139.7.25457.139.7.2552,046
9857.139.8.0/2157.139.8.1 to 57.139.15.25457.139.15.2552,046
9957.139.16.0/2157.139.16.1 to 57.139.23.25457.139.23.2552,046
10057.139.24.0/2157.139.24.1 to 57.139.31.25457.139.31.2552,046
10157.139.32.0/2157.139.32.1 to 57.139.39.25457.139.39.2552,046
10257.139.40.0/2157.139.40.1 to 57.139.47.25457.139.47.2552,046
10357.139.48.0/2157.139.48.1 to 57.139.55.25457.139.55.2552,046
10457.139.56.0/2157.139.56.1 to 57.139.63.25457.139.63.2552,046
10557.139.64.0/2157.139.64.1 to 57.139.71.25457.139.71.2552,046
10657.139.72.0/2157.139.72.1 to 57.139.79.25457.139.79.2552,046
10757.139.80.0/2157.139.80.1 to 57.139.87.25457.139.87.2552,046
10857.139.88.0/2157.139.88.1 to 57.139.95.25457.139.95.2552,046
10957.139.96.0/2157.139.96.1 to 57.139.103.25457.139.103.2552,046
11057.139.104.0/2157.139.104.1 to 57.139.111.25457.139.111.2552,046
11157.139.112.0/2157.139.112.1 to 57.139.119.25457.139.119.2552,046
11257.139.120.0/2157.139.120.1 to 57.139.127.25457.139.127.2552,046
11357.139.128.0/2157.139.128.1 to 57.139.135.25457.139.135.2552,046
11457.139.136.0/2157.139.136.1 to 57.139.143.25457.139.143.2552,046
11557.139.144.0/2157.139.144.1 to 57.139.151.25457.139.151.2552,046
11657.139.152.0/2157.139.152.1 to 57.139.159.25457.139.159.2552,046
11757.139.160.0/2157.139.160.1 to 57.139.167.25457.139.167.2552,046
11857.139.168.0/2157.139.168.1 to 57.139.175.25457.139.175.2552,046
11957.139.176.0/2157.139.176.1 to 57.139.183.25457.139.183.2552,046
12057.139.184.0/2157.139.184.1 to 57.139.191.25457.139.191.2552,046
12157.139.192.0/2157.139.192.1 to 57.139.199.25457.139.199.2552,046
12257.139.200.0/2157.139.200.1 to 57.139.207.25457.139.207.2552,046
12357.139.208.0/2157.139.208.1 to 57.139.215.25457.139.215.2552,046
12457.139.216.0/2157.139.216.1 to 57.139.223.25457.139.223.2552,046
12557.139.224.0/2157.139.224.1 to 57.139.231.25457.139.231.2552,046
12657.139.232.0/2157.139.232.1 to 57.139.239.25457.139.239.2552,046
12757.139.240.0/2157.139.240.1 to 57.139.247.25457.139.247.2552,046
12857.139.248.0/2157.139.248.1 to 57.139.255.25457.139.255.2552,046
12957.140.0.0/2157.140.0.1 to 57.140.7.25457.140.7.2552,046
13057.140.8.0/2157.140.8.1 to 57.140.15.25457.140.15.2552,046
13157.140.16.0/2157.140.16.1 to 57.140.23.25457.140.23.2552,046
13257.140.24.0/2157.140.24.1 to 57.140.31.25457.140.31.2552,046
13357.140.32.0/2157.140.32.1 to 57.140.39.25457.140.39.2552,046
13457.140.40.0/2157.140.40.1 to 57.140.47.25457.140.47.2552,046
13557.140.48.0/2157.140.48.1 to 57.140.55.25457.140.55.2552,046
13657.140.56.0/2157.140.56.1 to 57.140.63.25457.140.63.2552,046
13757.140.64.0/2157.140.64.1 to 57.140.71.25457.140.71.2552,046
13857.140.72.0/2157.140.72.1 to 57.140.79.25457.140.79.2552,046
13957.140.80.0/2157.140.80.1 to 57.140.87.25457.140.87.2552,046
14057.140.88.0/2157.140.88.1 to 57.140.95.25457.140.95.2552,046
14157.140.96.0/2157.140.96.1 to 57.140.103.25457.140.103.2552,046
14257.140.104.0/2157.140.104.1 to 57.140.111.25457.140.111.2552,046
14357.140.112.0/2157.140.112.1 to 57.140.119.25457.140.119.2552,046
14457.140.120.0/2157.140.120.1 to 57.140.127.25457.140.127.2552,046
14557.140.128.0/2157.140.128.1 to 57.140.135.25457.140.135.2552,046
14657.140.136.0/2157.140.136.1 to 57.140.143.25457.140.143.2552,046
14757.140.144.0/2157.140.144.1 to 57.140.151.25457.140.151.2552,046
14857.140.152.0/2157.140.152.1 to 57.140.159.25457.140.159.2552,046
14957.140.160.0/2157.140.160.1 to 57.140.167.25457.140.167.2552,046
15057.140.168.0/2157.140.168.1 to 57.140.175.25457.140.175.2552,046
15157.140.176.0/2157.140.176.1 to 57.140.183.25457.140.183.2552,046
15257.140.184.0/2157.140.184.1 to 57.140.191.25457.140.191.2552,046
15357.140.192.0/2157.140.192.1 to 57.140.199.25457.140.199.2552,046
15457.140.200.0/2157.140.200.1 to 57.140.207.25457.140.207.2552,046
15557.140.208.0/2157.140.208.1 to 57.140.215.25457.140.215.2552,046
15657.140.216.0/2157.140.216.1 to 57.140.223.25457.140.223.2552,046
15757.140.224.0/2157.140.224.1 to 57.140.231.25457.140.231.2552,046
15857.140.232.0/2157.140.232.1 to 57.140.239.25457.140.239.2552,046
15957.140.240.0/2157.140.240.1 to 57.140.247.25457.140.247.2552,046
16057.140.248.0/2157.140.248.1 to 57.140.255.25457.140.255.2552,046
16157.141.0.0/2157.141.0.1 to 57.141.7.25457.141.7.2552,046
16257.141.8.0/2157.141.8.1 to 57.141.15.25457.141.15.2552,046
16357.141.16.0/2157.141.16.1 to 57.141.23.25457.141.23.2552,046
16457.141.24.0/2157.141.24.1 to 57.141.31.25457.141.31.2552,046
16557.141.32.0/2157.141.32.1 to 57.141.39.25457.141.39.2552,046
16657.141.40.0/2157.141.40.1 to 57.141.47.25457.141.47.2552,046
16757.141.48.0/2157.141.48.1 to 57.141.55.25457.141.55.2552,046
16857.141.56.0/2157.141.56.1 to 57.141.63.25457.141.63.2552,046
16957.141.64.0/2157.141.64.1 to 57.141.71.25457.141.71.2552,046
17057.141.72.0/2157.141.72.1 to 57.141.79.25457.141.79.2552,046
17157.141.80.0/2157.141.80.1 to 57.141.87.25457.141.87.2552,046
17257.141.88.0/2157.141.88.1 to 57.141.95.25457.141.95.2552,046
17357.141.96.0/2157.141.96.1 to 57.141.103.25457.141.103.2552,046
17457.141.104.0/2157.141.104.1 to 57.141.111.25457.141.111.2552,046
17557.141.112.0/2157.141.112.1 to 57.141.119.25457.141.119.2552,046
17657.141.120.0/2157.141.120.1 to 57.141.127.25457.141.127.2552,046
17757.141.128.0/2157.141.128.1 to 57.141.135.25457.141.135.2552,046
17857.141.136.0/2157.141.136.1 to 57.141.143.25457.141.143.2552,046
17957.141.144.0/2157.141.144.1 to 57.141.151.25457.141.151.2552,046
18057.141.152.0/2157.141.152.1 to 57.141.159.25457.141.159.2552,046
18157.141.160.0/2157.141.160.1 to 57.141.167.25457.141.167.2552,046
18257.141.168.0/2157.141.168.1 to 57.141.175.25457.141.175.2552,046
18357.141.176.0/2157.141.176.1 to 57.141.183.25457.141.183.2552,046
18457.141.184.0/2157.141.184.1 to 57.141.191.25457.141.191.2552,046
18557.141.192.0/2157.141.192.1 to 57.141.199.25457.141.199.2552,046
18657.141.200.0/2157.141.200.1 to 57.141.207.25457.141.207.2552,046
18757.141.208.0/2157.141.208.1 to 57.141.215.25457.141.215.2552,046
18857.141.216.0/2157.141.216.1 to 57.141.223.25457.141.223.2552,046
18957.141.224.0/2157.141.224.1 to 57.141.231.25457.141.231.2552,046
19057.141.232.0/2157.141.232.1 to 57.141.239.25457.141.239.2552,046
19157.141.240.0/2157.141.240.1 to 57.141.247.25457.141.247.2552,046
19257.141.248.0/2157.141.248.1 to 57.141.255.25457.141.255.2552,046
19357.142.0.0/2157.142.0.1 to 57.142.7.25457.142.7.2552,046
19457.142.8.0/2157.142.8.1 to 57.142.15.25457.142.15.2552,046
19557.142.16.0/2157.142.16.1 to 57.142.23.25457.142.23.2552,046
19657.142.24.0/2157.142.24.1 to 57.142.31.25457.142.31.2552,046
19757.142.32.0/2157.142.32.1 to 57.142.39.25457.142.39.2552,046
19857.142.40.0/2157.142.40.1 to 57.142.47.25457.142.47.2552,046
19957.142.48.0/2157.142.48.1 to 57.142.55.25457.142.55.2552,046
20057.142.56.0/2157.142.56.1 to 57.142.63.25457.142.63.2552,046
20157.142.64.0/2157.142.64.1 to 57.142.71.25457.142.71.2552,046
20257.142.72.0/2157.142.72.1 to 57.142.79.25457.142.79.2552,046
20357.142.80.0/2157.142.80.1 to 57.142.87.25457.142.87.2552,046
20457.142.88.0/2157.142.88.1 to 57.142.95.25457.142.95.2552,046
20557.142.96.0/2157.142.96.1 to 57.142.103.25457.142.103.2552,046
20657.142.104.0/2157.142.104.1 to 57.142.111.25457.142.111.2552,046
20757.142.112.0/2157.142.112.1 to 57.142.119.25457.142.119.2552,046
20857.142.120.0/2157.142.120.1 to 57.142.127.25457.142.127.2552,046
20957.142.128.0/2157.142.128.1 to 57.142.135.25457.142.135.2552,046
21057.142.136.0/2157.142.136.1 to 57.142.143.25457.142.143.2552,046
21157.142.144.0/2157.142.144.1 to 57.142.151.25457.142.151.2552,046
21257.142.152.0/2157.142.152.1 to 57.142.159.25457.142.159.2552,046
21357.142.160.0/2157.142.160.1 to 57.142.167.25457.142.167.2552,046
21457.142.168.0/2157.142.168.1 to 57.142.175.25457.142.175.2552,046
21557.142.176.0/2157.142.176.1 to 57.142.183.25457.142.183.2552,046
21657.142.184.0/2157.142.184.1 to 57.142.191.25457.142.191.2552,046
21757.142.192.0/2157.142.192.1 to 57.142.199.25457.142.199.2552,046
21857.142.200.0/2157.142.200.1 to 57.142.207.25457.142.207.2552,046
21957.142.208.0/2157.142.208.1 to 57.142.215.25457.142.215.2552,046
22057.142.216.0/2157.142.216.1 to 57.142.223.25457.142.223.2552,046
22157.142.224.0/2157.142.224.1 to 57.142.231.25457.142.231.2552,046
22257.142.232.0/2157.142.232.1 to 57.142.239.25457.142.239.2552,046
22357.142.240.0/2157.142.240.1 to 57.142.247.25457.142.247.2552,046
22457.142.248.0/2157.142.248.1 to 57.142.255.25457.142.255.2552,046
22557.143.0.0/2157.143.0.1 to 57.143.7.25457.143.7.2552,046
22657.143.8.0/2157.143.8.1 to 57.143.15.25457.143.15.2552,046
22757.143.16.0/2157.143.16.1 to 57.143.23.25457.143.23.2552,046
22857.143.24.0/2157.143.24.1 to 57.143.31.25457.143.31.2552,046
22957.143.32.0/2157.143.32.1 to 57.143.39.25457.143.39.2552,046
23057.143.40.0/2157.143.40.1 to 57.143.47.25457.143.47.2552,046
23157.143.48.0/2157.143.48.1 to 57.143.55.25457.143.55.2552,046
23257.143.56.0/2157.143.56.1 to 57.143.63.25457.143.63.2552,046
23357.143.64.0/2157.143.64.1 to 57.143.71.25457.143.71.2552,046
23457.143.72.0/2157.143.72.1 to 57.143.79.25457.143.79.2552,046
23557.143.80.0/2157.143.80.1 to 57.143.87.25457.143.87.2552,046
23657.143.88.0/2157.143.88.1 to 57.143.95.25457.143.95.2552,046
23757.143.96.0/2157.143.96.1 to 57.143.103.25457.143.103.2552,046
23857.143.104.0/2157.143.104.1 to 57.143.111.25457.143.111.2552,046
23957.143.112.0/2157.143.112.1 to 57.143.119.25457.143.119.2552,046
24057.143.120.0/2157.143.120.1 to 57.143.127.25457.143.127.2552,046
24157.143.128.0/2157.143.128.1 to 57.143.135.25457.143.135.2552,046
24257.143.136.0/2157.143.136.1 to 57.143.143.25457.143.143.2552,046
24357.143.144.0/2157.143.144.1 to 57.143.151.25457.143.151.2552,046
24457.143.152.0/2157.143.152.1 to 57.143.159.25457.143.159.2552,046
24557.143.160.0/2157.143.160.1 to 57.143.167.25457.143.167.2552,046
24657.143.168.0/2157.143.168.1 to 57.143.175.25457.143.175.2552,046
24757.143.176.0/2157.143.176.1 to 57.143.183.25457.143.183.2552,046
24857.143.184.0/2157.143.184.1 to 57.143.191.25457.143.191.2552,046
24957.143.192.0/2157.143.192.1 to 57.143.199.25457.143.199.2552,046
25057.143.200.0/2157.143.200.1 to 57.143.207.25457.143.207.2552,046
25157.143.208.0/2157.143.208.1 to 57.143.215.25457.143.215.2552,046
25257.143.216.0/2157.143.216.1 to 57.143.223.25457.143.223.2552,046
25357.143.224.0/2157.143.224.1 to 57.143.231.25457.143.231.2552,046
25457.143.232.0/2157.143.232.1 to 57.143.239.25457.143.239.2552,046
25557.143.240.0/2157.143.240.1 to 57.143.247.25457.143.247.2552,046
25657.143.248.0/2157.143.248.1 to 57.143.255.25457.143.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses